Retrieves the equipment_family object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_family
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

name

Name of the equipment family

string

Required

Max length: 50

description

Description of the equipment family

string

Max length: 4000

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

_parent_id

Parent Equipment Family (Parent / Child) when adding/updating equipment_family

globally unique identifier
_parent_code

Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family

string
_parent_equipment_family

Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family

equipment_family
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "b68a8de8-88bf-415c-b18b-7b3fb2864046",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "_parent_id": "dc392158-32bf-4bed-b826-2c4d6a76af6f",
  "_parent_code": "sample string 6",
  "sales_organization_id": "3d382c01-0a3d-4c39-b569-2f896b4bc305",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "fca60625-0913-43a3-8742-82232aaccb52",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "65eeffcf-ee98-46e6-a3be-0722477ee64e",
    "db_currency_id": "3efc6e6a-05c2-4ac0-b2d4-899bec184d78",
    "db_language_id": "6252d7bb-35b6-4a41-a0c5-835b86cbd489",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-26T07:42:06.0103331+00:00"
  },
  "modified_dateutc": "2026-10-26T07:42:06.0103331+00:00"
}